Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602493 - VM description text not saved
VM description text not saved
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 20:14 EDT by kevin
Modified: 2010-06-11 10:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 10:11:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kevin 2010-06-09 20:14:44 EDT
Description of problem:
virt-manager 0.8.4 introduced a text description field for VM's. That description is not being saved.

Version-Release number of selected component (if applicable):
0.8.4

How reproducible:
Every time

Steps to Reproduce:
1. Enter some text into the description field
2. Click "Apply"
3. Navigate to, say, "Performance" window
4. Navigate back to the "Overview" window
5. The text is not displayed

Also, it is not saved in /etc/libvirt/qemu/<vm_name>.xml

Actual results:
No text

Expected results:
Text saved in config file

Additional info:
Comment 1 Cole Robinson 2010-06-10 10:33:05 EDT
What libvirt version are you using? Description requires at least libvirt 0.7.2. Are you making sure to hit the 'Apply' button after updating the desc? Is this Xen or KVM?
Comment 2 kevin 2010-06-10 16:58:43 EDT
Doh!! Was using 0.7.1, now upgraded to latest 0.8.1 and all is OK.

But, perhaps, virt-manager could check for a compatible libvirt in the same way as it checks for virtinst - no prizes for guessing how I know it performs that check. ;)

Thanks for your (prompt) help.
Comment 3 Cole Robinson 2010-06-11 10:11:52 EDT
In order to check for proper support, we really need libvirt to give us fine grained info about what it supports for each driver. There are other bugs floating around that are basically tracking that. Closing this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.